## golang-github-linuxkit-virtsock 0.0~git20170720.0.0416e3d

=== Makefile ===
.PHONY: build-in-container build-binaries sock_stress clean
DEPS:=$(wildcard pkg/*.go) $(wildcard cmd/sock_stress/*.go) $(wildcard cmd/vsudd/*.go) Dockerfile.build Makefile

build-in-container: $(DEPS) clean
	@echo "+ $@"
	@docker build -t virtsock-build -f ./Dockerfile.build .
	@docker run --rm \
		-v ${CURDIR}/bin:/go/src/github.com/linuxkit/virtsock/bin \
		virtsock-build

build-binaries: vsudd sock_stress
sock_stress: bin/sock_stress.darwin bin/sock_stress.linux bin/sock_stress.exe
vsudd: bin/vsudd.linux 

bin/vsudd.linux: $(DEPS)
	@echo "+ $@"
	GOOS=linux GOARCH=amd64 \
	go build -o $@ -buildmode pie --ldflags '-s -w -extldflags "-static"' \
		github.com/linuxkit/virtsock/cmd/vsudd

bin/sock_stress.linux: $(DEPS)
	@echo "+ $@"
	GOOS=linux GOARCH=amd64 \
	go build -o $@ -buildmode pie --ldflags '-s -w -extldflags "-static"' \
		github.com/linuxkit/virtsock/cmd/sock_stress

bin/sock_stress.darwin: $(DEPS)
	@echo "+ $@"
	GOOS=darwin GOARCH=amd64 \
	go build -o $@ --ldflags '-extldflags "-fno-PIC"' \
		github.com/linuxkit/virtsock/cmd/sock_stress

bin/sock_stress.exe: $(DEPS)
	@echo "+ $@"
	GOOS=windows GOARCH=amd64 \
	go build -o $@ \
		github.com/linuxkit/virtsock/cmd/sock_stress

# Target to build a bootable EFI ISO and kernel+initrd
linuxkit: build-in-container Dockerfile.linuxkit hvtest.yml
	$(MAKE) -C c build-in-container
	docker build -t hvtest-local -f Dockerfile.linuxkit .
	moby build -output kernel+initrd,iso-efi hvtest.yml

clean:
	rm -rf bin c/build

fmt:
	@echo "+ $@"
	@gofmt -s -l . 2>&1 | grep -v ^vendor/ | xargs gofmt -s -l -w

lint:
	@echo "+ $@"
	$(if $(shell which golint || echo ''), , \
		$(error Please install golint))
	@test -z "$$(golint ./... 2>&1 | grep -v ^vendor/ | grep -v mock/ | tee /dev/stderr)"

=== debian/changelog ===
golang-github-linuxkit-virtsock (0.0~git20170720.0.0416e3d-1) unstable; urgency=medium

  * Initial release (Closes: #873031)

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 20 Aug 2017 23:50:06 +0200

=== debian/control ===
Source: golang-github-linuxkit-virtsock
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-golang-x-sys-dev (>= 0.0~git20170630.0.4ed4d40~)
Standards-Version: 4.0.0
Homepage: https://github.com/linuxkit/virtsock
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-linuxkit-virtsock.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-linuxkit-virtsock.git
XS-Go-Import-Path: github.com/linuxkit/virtsock
Testsuite: autopkgtest-pkg-go

Package: golang-github-linuxkit-virtsock-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-golang-x-sys-dev
Description: Go bindings for Hyper-V and virtio sockets
 This package contains Go bindings for Microsoft's Hyper-V sockets, a
 Windows Socket with a new address family and specialized endpoint
 for targeting virtual machines and for OASIS's Virtual I/O Device
 sockets.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-linuxkit-virtsock-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/linuxkit/virtsock/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-linuxkit-virtsock 0.0~git20220523.1a23e78+ds

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 linuxkit: build-in-container Dockerfile.linuxkit hvtest.yml
 	$(MAKE) -C c build-in-container
 	docker build -t hvtest-local -f Dockerfile.linuxkit .
-	moby build -output kernel+initrd,iso-efi hvtest.yml
+	linuxkit build -format kernel+initrd,iso-efi hvtest.yml
 
 clean:
 	rm -rf bin c/build

=== c/Makefile ===
DEPS=compat.h Makefile
MSBUILD="/c/Program Files (x86)/MSBuild/14.0/Bin/MSBuild.exe"

.PHONY: build-in-container linux windows clean
.PHONY: hvbench.linux hvecho.linux hvstress.linux

# Build Linux binaries in a container
build-in-container:
	@docker build -t hvsock-build -f ./Dockerfile.build .
	@docker run --rm -v ${CURDIR}/build:/src/build hvsock-build

linux: build/hvbench build/hvecho build/hvstress
windows: build/hvecho.exe build/hvstress.exe build/hvbench.exe

# Linux targets
CFLAGS := -Wall -Werror -g -ggdb -static
build/hvbench: hvbench.c $(DEPS)
	$(CC) $(CFLAGS) -o $@ $<

build/hvecho: hvecho.c $(DEPS)
	$(CC) $(CFLAGS) -o $@ $<

build/hvstress: hvstress.c $(DEPS)
	$(CC) $(CFLAGS) -o $@ $<


# Windows targets
build/hvbench.exe: hvbench.c hvbench.vcxproj hvbench.sln $(DEPS)
	$(MSBUILD) hvbench.sln
	mkdir -p build
	cp x64/Debug/hvbench.exe $@

build/hvecho.exe: hvecho.c hvecho.vcxproj hvecho.sln $(DEPS)
	$(MSBUILD) hvecho.sln
	mkdir -p build
	cp x64/Debug/hvecho.exe $@

build/hvstress.exe: hvstress.c hvstress.vcxproj hvstress.sln $(DEPS)
	$(MSBUILD) hvstress.sln
	mkdir -p build
	cp x64/Debug/hvstress.exe $@

clean:
	rm -rf build
	rm -rf Debug x64

=== debian/changelog ===
golang-github-linuxkit-virtsock (0.0~git20220523.1a23e78+ds-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Team upload.
  * Acknowledge NMU.
  * New upstream release.
    - Includes commit b49a012, which fixes a FTBFS due to the use of accept4
      without _GNU_SOURCE. (Closes: #976564)
    - Add new build dependency golang-github-pkg-errors-dev.
  * Fix debian/watch to use fetch git snapshots; upstream does not tag
    versions, and thus the existing watch file was not functional.
  * Repack the source tree to exclude upstream's vendorized dependencies.
  * Various debian/copyright changes:
    - Reformat for clarity and ease of modification.
    - Detail upstream authors' copyright information more accurately.
    - Update for new upstream release.
    - Use Expat to refer to the MIT license, per DEP5.
    - Use https URLs.
  * Set Rules-Requires-Root: no.
  * Change Section from "devel" to "golang".
  * Bump Standards-Version to 4.6.2.
  * Add Repository, Repository-Browse, Documentation to upstream/metadata.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch/buster:
    + Build-Depends: Drop versioned constraint on debhelper.
    + Build-Depends: Drop versioned constraint on golang-golang-x-sys-dev.
  * Bump debhelper compatibility to 13.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 02 Apr 2024 09:28:45 +0300

golang-github-linuxkit-virtsock (0.0~git20170720.0.0416e3d-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 12:29:16 +0100

=== debian/control ===
Source: golang-github-linuxkit-virtsock
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Balint Reczey <rbalint@ubuntu.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-pkg-errors-dev,
 golang-golang-x-sys-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/linuxkit/virtsock
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linuxkit-virtsock
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-linuxkit-virtsock.git
XS-Go-Import-Path: github.com/linuxkit/virtsock
Testsuite: autopkgtest-pkg-go

Package: golang-github-linuxkit-virtsock-dev
Architecture: all
Depends:
 golang-github-pkg-errors-dev,
 golang-golang-x-sys-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Go bindings for Hyper-V and virtio sockets
 This package contains Go bindings for Microsoft's Hyper-V sockets, a
 Windows Socket with a new address family and specialized endpoint
 for targeting virtual machines and for OASIS's Virtual I/O Device
 sockets.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/golang-github-linuxkit-virtsock-dev/usr/bin

=== debian/watch ===
version=4
opts="mode=git,repacksuffix=+ds,dversionmangle=auto" https://github.com/linuxkit/virtsock.git HEAD
